[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TAbstractObjectReader.ReadCurrency

Read a currency value from the stream.

## Declaration

Source position: classesh.inc line 1248

`public function TAbstractObjectReader.ReadCurrency: Currency; virtual; abstract;`

## Description

ReadCurrency is called when a currency-typed value should be read from the stream. This abstract method should be overridden by descendant classes, and should return the currency value read from the stream.

## See also

TAbstractObjectWriter.WriteCurrency |  | Write a currency value to the stream